import { jsx } from "react/jsx-runtime";
import { TokenBTG as TokenBTG$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenBTG = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "BTG", "data-name": "TokenBTG", ...props, children: /* @__PURE__ */ jsx(TokenBTG$1, { variant }) });
  }
);
TokenBTG.displayName = "TokenBTG";
Object.assign(TokenBTG, { isGdsIcon: true });
export {
  TokenBTG
};
